#ifndef __CATOR_H
#define __CATOR_H

#include "CodeModule.hxx"
#include "CatomWorld.hxx"

using namespace std;
CODE_MODULE_PROTOTYPE( Cator, CatorModule );

extern CatomWorld *worldPtr;

class CatorModule : public CodeModule {
public:

  // Set a unique name for your CodeModule here
  CatorModule(catomID _hostCatom) : CodeModule(_hostCatom) { name_ = "CatorMod"; }

  void newTick( void );
  StateFile::Module* StateFileConstructor( void );

  
};

#endif
